- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicAttribute Class Reference

Internal: virtual class to store a Sdr graphic attribute. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicAttribute:

## Public Member Functions
| SdrGraphicAttribute (int id)
| constructor More...
virtual std::string | print () const
| basic print function More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &object, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Public Attributes
std::vector< shared_ptr< StarItem > > | m_itemList
| the list of star item More...
librevenge::RVNGString | m_sheetStyle
| the sheet style name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicAttribute const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic attribute.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicAttribute::SdrGraphicAttribute | ( | int | id | ) |
| inline explicit

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicAttribute::print | ( |  | ) | const
| inline virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicUno, StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicRect, and StarObjectSmallGraphicInternal::SdrGraphicText.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicText::print().

void StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle | ( | STOFFGraphicStyle & | style,
|  | StarObject & | object,
|  | STOFFListenerPtr | listener
| ) |  | const
| inline

try to update the style

Referenced by StarObjectSmallGraphicInternal::SdrGraphicCircle::updateStyle(), StarObjectSmallGraphicInternal::SdrGraphicGraph::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphicMeasure::updateStyle().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicAttribute const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

std::vector<shared_ptr<StarItem> > StarObjectSmallGraphicInternal::SdrGraphicAttribute::m_itemList

the list of star item

Referenced by StarObjectSmallGraphic::readSVDRObjectAttrib().

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicAttribute::m_sheetStyle

the sheet style name

Referenced by StarObjectSmallGraphic::readSVDRObjectAttrib().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx